<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class ClubmanagementViewTeams extends ClubmanagementView
{
	function display($tpl = null)
	{
		JToolBarHelper::custom('#option|extension#com_categories|com_clubmanagement.leagues', 'leagues', 'leagues','COM_CLUBMANAGEMENT_LEAGUES', FALSE);
		JToolBarHelper::custom('#option|extension#com_categories|com_clubmanagement.seasons', 'seasons', 'seasons','COM_CLUBMANAGEMENT_SEASONS', FALSE);
		JToolBarHelper::custom('#option|extension#com_categories|com_clubmanagement.teammemberpositions', 'teammemberpositions', 'teammemberpositions','COM_CLUBMANAGEMENT_TEAMMEMBERPOSITIONS', FALSE);
		JToolBarHelper::divider();

		switch(JRequest::getVar("task")) {
			case "add":
			case "edit":
				$team_id = NULL;
				if(is_array($tmp=JRequest::getVar('cid'))) {
					if(count($tmp)>0){
						$team_id = (int)$tmp[0];
						$this->set('_id', $team_id);
					}
				}
				JToolBarHelper::apply();
				JToolBarHelper::save();
				JToolBarHelper::cancel();

				$teammember = $this->getModel('teammember');
				$p = $teammember->getAllByTeam($team_id);
				$this->assignRef('teammember', $p);

				$editor = JFactory::getEditor();
				$this->assignRef('editor', $editor);

			break;
			default:
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				JToolBarHelper::addNewX();
			break;
		}

		$lists = $this->get('Lists');
		$this->assignRef('lists', $lists);

		$leagues = ClubmanagementHelper::getLeagues();
		$this->assignRef('leagues', $leagues);

		$season_identifier = $this->getModel('teams')->getSeasonIdentifier();
		$this->assignRef('season_identifier', $season_identifier);

		$teammemberpositions = ClubmanagementCategoryHelper::getFlat('Clubmanagement.teammemberpositions');
		$this->assignRef('teammemberpositions', $teammemberpositions);

		$leagues = ClubmanagementHelper::getLeagues();
		$this->assignRef('leagues', $leagues);
		
		$sections = ClubmanagementHelper::getSections();
		$this->assignRef('sections', $sections);

		$items =  $this->get('Data');
		$this->assignRef('items', $items);

		parent::display($tpl);
	}
	
}
?>