<?php
defined('_JEXEC') or die();
jimport('joomla.application.component.controller');
class ClubmanagementController extends JController
{
	function display($cachable = false, $urlparams = false)
	{
		ClubmanagementHelper::fixAssetTable();
		JToolBarHelper::custom('#option|view|task#com_clubmanagement|welcome|default', 'home', 'home','COM_CLUBMANAGEMENT_HOME', FALSE);
		JToolBarHelper::divider();

		$task = JRequest::getVar("task", NULL);
		if(!$this->checkRedirectTask($task, $urlparams)) {
			ClubmanagementHelper::addSubmenu(JRequest::getCmd('view', 'clubmanagement'));
			parent::display($cachable);
			return $this;
		}
	}

	private function checkRedirectTask($task) {
		if(substr($task, 0, 1)=='#') {
			//	custom task
			$t2 = explode("#", substr($task, 1));
			if(count($t2)>1) {
				switch($t2[0]) {
					case "url":
						array_shift($t2);
						$this->setRedirect(implode("#", $t2));
					break;
					default:
						$t20 = explode("|", $t2[0]);
						$t21 = explode("|", $t2[1]);
						if(count($t20)==count($t21)) {
							$query = array();
							$newOption = FALSE;
							for($i=0; $i<count($t20); $i++) {
								JRequest::setVar($t20[$i], $t21[$i]);
								$query[] = $t20[$i]."=".$t21[$i];
								$newOption |= $t20[$i]=='option';
							}
							$query = 'index.php?'.implode("&", $query);
							if($newOption) {
								echo $msg = "";
								$this->setRedirect($query, $msg);
							}
							return TRUE;
						} else {
							return FALSE;
						}
					break;
				}
			} else {
				return FALSE;
			}
		} else {
			//	default joomla task
			return FALSE;
		}
	}
}

?>