<?php
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

class ClubmanagementControllerPositions extends ClubmanagementController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();
		// Register Extra tasks
#		JSubMenuHelper::addEntry(JText::_('positionsAdmin'), 'index.php?option=com_clubmanagement&view=positionsAdmin');
		//$model4 = $this->getModel('administration');
		//$view  = $this->getView('administration', 'html');
		//$view->setModel($model4);

		$this->registerTask( 'apply', 'save' );

	}
	
	function add()
	{
		$model1 = $this->getModel ('people');
		$view  = $this->getView('Positions', 'html');
		$view->setModel($model1, TRUE);
		JRequest::setVar( 'view', 'Positions' );
		JRequest::setVar( 'layout', 'add'  );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);
		parent::display();
	}

	function edit()
	{
		JRequest::setVar( 'view', 'Positions' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);
		parent::display();
	}


	function save()
	{
		$model = $this->getModel('Positions');
		if ($model->store($post)) {
		  $msg = JText::_( 'Positions Saved!' );
		} else {
		  $msg = JText::_( 'Error Saving Positions' );
		}

		switch (JRequest::getCmd( 'task' ))
		{
			case 'apply':
				$cid	= intval(JRequest::getVar('people_id'));
				$link =  'index.php?option=com_clubmanagement&view=positions&task=edit&cid[]='. $cid ;
				$this->setRedirect($link, $msg);
			break;
			default:
				$link = 'index.php?option=com_clubmanagement&view=positions';
				$this->setRedirect($link, $msg);
			break;
		}


	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_clubmanagement&view=positions', $msg );
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	function remove()
	{
		$model = $this->getModel('Positions');
		if(!$model->delete('people_id')) {
			$msg = JText::_( 'Error: One or more Clubmanagements could not be Deleted' );
		} else {
			$msg = JText::_( 'Clubmanagement(s) Deleted' );
		}
		$this->setRedirect( 'index.php?option=com_clubmanagement&view=positions', $msg );
	}
	
}
?>