<?php
defined('JPATH_BASE') or die();

jimport('joomla.form.formfield');

class JFormFieldTeamlist extends JFormField
{
	protected $type = 'Teamlist';
	protected function getInput()
	{
		require_once(JPATH_ROOT.DS."administrator".DS."components".DS."com_clubmanagement".DS.'models'.DS.'teams.php' );
		//$data = JModel::getInstance('ClubmanagementModelTeams')->getData();
		$m = JModel::getInstance('ClubmanagementModelTeams');
		$s = $m->getSeasonIdentifier();
		$options = array();

		$options[] = array(
			'id'	=>	0,
			'text'	=>	'auswählen',
			'items'	=>	array(JHtml::_('select.option', '', 'auswählen')),
		);

		foreach($s as $sobj) {
			$t=$m->getBySeasonIdentifier($sobj->value);
			$options[$sobj->value] = array();
			$options[$sobj->value]['id'] = $sobj->value;
			$options[$sobj->value]['text'] = $sobj->value;
			$options[$sobj->value]['items'] = array();

			foreach($t as $tobj) {
				$options[$sobj->value]['items'][] = JHtml::_('select.option', $tobj->team_id, $tobj->name);
			}
		}
		return JHTML::_('select.groupedlist', $options, $this->name, array('id'=>$this->id, 'list.select'=>$this->value));
	}
}
?>