<?php
if (count($this->membershipData)>0 && $this->params->get('show_memberships')) {
?>

	<table id="memberships">
		<caption><?php echo JText::_('COM_CLUBMANAGEMENT_MEMBERSHIPTIMES');?></caption>
		<thead>
		<tr>
			<th style="width:70px;"><?php echo JText::_('COM_CLUBMANAGEMENT_FROMDATE');?></th>
			<th style="width:70px;"><?php echo JText::_('COM_CLUBMANAGEMENT_UNTILDATE');?></th>
			<th><?php echo JText::_('COM_CLUBMANAGEMENT_SECTION');?></th>
			<th><?php echo JText::_('COM_CLUBMANAGEMENT_MEMBERSHIP_PASSPORTID');?></th>
		</tr>
		</thead>
		<tbody>
<?php
	for($i=0; $i<count($this->membershipData);$i++) {
		$m = $this->membershipData[$i];
		$d1 = (is_null($m->member_from) ? "" : JFactory::getDate(strtotime($m->member_from))->toFormat('%x'));
		$d2 = (is_null($m->member_until) ? "" : JFactory::getDate(strtotime($m->member_until))->toFormat('%x'));
		$rowClass = (($i%2==0) ? "even" : "odd");
?>
		<tr class="<?php echo $rowClass;?>">
			<td><?php echo $d1;?></td>
			<td><?php echo $d2;?></td>
			<td><?php echo JHTML::link(LinkHelper::createLink('sectionmember', $m->section_catid), $m->section);?></td>
			<td><?php echo $m->passport;?></td>
		</tr>
<?php
	}
?>
		</tbody>
	</table>
<?php
}
?>